import type { MjFormMoneyRenderOpts } from '.'
import type { RenderParams } from '../mj-form-plugin'

import { VxeUI } from 'vxe-table'

import { mj_form_money } from '../mj-table'
import Index from './mj-form-money-plugin.vue'
// 创建一个附件上传渲染器
VxeUI.renderer.add(mj_form_money, {
  // 项显示模板
  renderFormItemContent(renderOpts: any, renderParams: any) {
    return (
      <Index
        renderOpts={renderOpts as MjFormMoneyRenderOpts}
        renderParams={renderParams as RenderParams}
      />
    )
  },
})
